DD(1)

NAME
dd - convert and copy a file

SYNOPSIS
dd [OPTION]...

DESCRIPTION

Copy a file, converting and formatting according to the options.

bs=BYTES
    force ibs=BYTES and obs=BYTES

cbs=BYTES
    convert BYTES bytes at a time

conv=KEYWORDS
    convert the file as per the comma separated keyword list

count=BLOCKS
    copy only BLOCKS input blocks

ibs=BYTES
    read BYTES bytes at a time

if=FILE
    read from FILE instead of stdin

obs=BYTES
    write BYTES bytes at a time

of=FILE
    write to FILE instead of stdout

seek=BLOCKS
    skip BLOCKS obs-sized blocks at start of output

skip=BLOCKS
    skip BLOCKS ibs-sized blocks at start of input

--help
    display this help and exit

--version
    output version information and exit

BLOCKS and BYTES may be followed by the following multiplicative suffixes: xM M, c 1, w 2, b 512, kD 1000, k 1024, MD 1,000,000, M 1,048,576, GD 1,000,000,000, G 1,073,741,824, and so on for T, P, E, Z, Y. Each KEYWORD may be:

ascii
    from EBCDIC to ASCII

ebcdic
    from ASCII to EBCDIC

ibm from ASCII to alternated EBCDIC

block
    pad newline-terminated records with spaces to cbs-size

unblock
    replace trailing spaces in cbs-size records with newline

lcase
    change upper case to lower case

notrunc
    do not truncate the output file

ucase
    change lower case to upper case

swab
    swap every pair of input bytes

noerror
    continue after read errors

sync
    pad every input block with NULs to ibs-size; when used

    with block or unblock, pad with spaces rather than NULs

AUTHOR
Written by Paul Rubin, David MacKenzie, and Stuart Kemp.

REPORTING BUGS
Report bugs to <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for dd is maintained as a Texinfo manual. If the info and dd programs are properly installed at your site, the command

    info dd

should give you access to the complete manual.